package com.example.matuletest

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.matuletest.ui.auth.screens.AuthScreen
import com.example.matuletest.ui.auth.FirstScreen
import com.example.matuletest.ui.auth.screens.RegistrationScreen
import com.example.matuletest.ui.auth.SliderScreen
import com.example.matuletest.ui.theme.MatuleTestTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            MatuleTestTheme {
                val navController = rememberNavController()

                NavHost(navController = navController, startDestination = "first_screen") {
                    composable("first_screen") {
                        FirstScreen(onNavigateToSliderScreen = {
                            navController.navigate("slider_screen")
                        })
                    }
                    composable("slider_screen") {
                        SliderScreen(onNavigateToAuthScreen = {
                            navController.navigate("auth_screen")
                        })
                    }
                    composable("auth_screen") {
                        AuthScreen(navController)
                    }
                    composable("registration_screen") {
                        RegistrationScreen(navController)
                    }
                }
            }
        }
    }
}

